
%define  komparedialogpages_major 5
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major
%define  kompareinterface_major 5
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major

Name: kompare
Summary: A diff graphic tool
Version: 23.08.5
Group: Graphical desktop/KDE5
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: libkomparediff2-devel

BuildRequires: %{_lib}qt5core-devel

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kiconthemes-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  kconfig-devel 
BuildRequires:  kparts-devel 
BuildRequires:  ktexteditor-devel 
BuildRequires:  kwidgetsaddons-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       kparts


%description
Kompare is a GUI front-end program that enables differences between source files
to be viewed and merged. It can be used to compare differences on files or the
contents of folders, and it supports a variety of diff formats and provide many
options to customize the information level displayed.

Features :
   -Comparing directories
   -Reading diff files
   -Creating and applying patches

%files
%_kf5_bindir
%_kf5_datadir
%_kf5_libdir/*.so.*
%_kf5_libdir/qt5/plugins/kf5/parts/komparenavtreepart.so
%_kf5_libdir/qt5/plugins/kf5/parts/komparepart.so

%exclude %_kf5_docdir/HTML

%package handbook
Summary:  %name handbook
BuildArch: noarch
Group: Documentation
Requires: %name

%description handbook
This package provides %name handbook and mandir.

%files handbook
%doc %_kf5_docdir/HTML

#-----------------------------------------------------------------------------

%package    devel
Summary:    Header files for kde#sdk
Group:      Development/Libraries
Requires:   %name

%description  devel
This package includes the header files you will need to compile applications
against %{name}

%files devel
%_includedir/*
%_kf5_libdir/libkompareinterface.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

